%global pypi_name pytest-cov

Name:           python-%{pypi_name}
Version:        6.0.0
Release:        %mkrel 2
Summary:        Pytest plugin for coverage reporting
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/pytest-cov
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesse and multiprocessing.

%package -n python3-%{pypi_name}
Summary:        Pytest plugin for coverage reporting
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_cov

rm -rf %{buildroot}%{python3_sitelib}/pytest-cov.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.rst README.rst
%license LICENSE


%changelog
* Tue Feb 25 2025 wally <wally> 6.0.0-2.mga10
+ Revision: 2152362
- rebuild for python3.13

* Thu Jan 23 2025 papoteur <papoteur> 6.0.0-1.mga10
+ Revision: 2140738
- remove tests, they need fields which is not in distrib
- new version 6.0.0

* Fri Jun 28 2024 papoteur <papoteur> 5.0.0-1.mga10
+ Revision: 2077782
- new version 5.0.0

* Thu Dec 07 2023 wally <wally> 4.1.0-2.mga10
+ Revision: 2015184
- rebuild for py3.12

* Mon Nov 27 2023 wally <wally> 4.1.0-1.mga10
+ Revision: 2010244
- new version 4.1.0
- use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 3.0.0-3.mga9
+ Revision: 1833209
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 3.0.0-2.mga9
+ Revision: 1772242
- rebuild for python3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 3.0.0-1.mga9
+ Revision: 1771310
- version 3.0.0

* Thu Sep 02 2021 wally <wally> 2.12.1-1.mga9
+ Revision: 1744062
- new version 2.12.1

* Mon Mar 15 2021 wally <wally> 2.11.1-2.mga9
+ Revision: 1703546
- rebuild for python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 2.11.1-1.mga9
+ Revision: 1695322
- new version 2.11.1

* Wed Nov 11 2020 guillomovitch <guillomovitch> 2.10.1-1.mga8
+ Revision: 1644562
- new version 2.10.1

* Tue Feb 18 2020 umeabot <umeabot> 2.8.1-2.mga8
+ Revision: 1539633
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 shlomif <shlomif> 2.8.1-1.mga8
+ Revision: 1465489
- New version 2.8.1

* Fri Sep 06 2019 wally <wally> 2.7.1-3.mga8
+ Revision: 1437945
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 2.7.1-2.mga8
+ Revision: 1435495
- drop python2 support

* Sun Jul 14 2019 shlomif <shlomif> 2.7.1-1.mga8
+ Revision: 1421196
- New version 2.7.1

* Tue Apr 09 2019 shlomif <shlomif> 2.6.1-1.mga7
+ Revision: 1387385
- New version 2.6.1

* Sat Jan 05 2019 wally <wally> 2.6.0-2.mga7
+ Revision: 1349761
- rebuild for python3.7

* Thu Nov 22 2018 shlomif <shlomif> 2.6.0-1.mga7
+ Revision: 1333278
- New version 2.6.0

* Thu Sep 20 2018 umeabot <umeabot> 2.5.1-2.mga7
+ Revision: 1289833
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 2.5.1-1.mga7
+ Revision: 1227702
- new version: 2.5.1
- rename python-pytest-cov to python2-pytest-cov
- use new python macros and provides

* Tue May 01 2018 shlomif <shlomif> 1.6-1.mga7
+ Revision: 1224326
- add BRs
- Add group
+ juancho <juancho>
- imported package python-pytest-cov


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Orion Poplawski <orion@cora.nwra.com> - 1.6-2
- Rebuild for Python 3.4

* Tue Feb 25 2014 Orion Poplawski <orion@cora.nwra.com> - 1.6-1
- Initial package
